Bug 212987 - RFE: desktop effects applet is not in KDE menu
Summary: RFE: desktop effects applet is not in KDE menu
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F8Target
TreeView+ depends on / blocked
 
Reported: 2006-10-30 14:44 UTC by Chitlesh GOORAH
Modified: 2018-04-11 09:17 UTC (History)
7 users (show)

Fixed In Version: 0.6.2-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-19 14:58:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chitlesh GOORAH 2006-10-30 14:44:41 UTC
Description of problem:
Suppose with desktop-effects in KDE, Ive activated compiz effects.

BTW, desktop-effects isn't in kmenu !!!!!!!!

When I log out and in, I lose these effects.
A compiz-kde.desktop is missing in ~/.kde/Autostart:

Here is my compiz-kde.desktop:
$ kwrite $HOME/.kde/Autostart/compiz-kde&
[Desktop Entry]
Encoding=UTF-8
Exec=compiz --replace gconf decoration transset wobbly fade minimize cube rotate
zoom scale move resize place switcher opaquefocus shadow menu &
gnome-window-decorator
GenericName[en_US]=
StartupNotify=false
Terminal=false
TerminalOptions=
Type=Application
X-KDE-autostart-after=kdesktop


Version-Release number of selected component (if applicable):
compiz-0.0.13-0.32.20060817git.fc6

How reproducible:
everytime

Comment 1 Chitlesh GOORAH 2006-11-10 21:17:03 UTC
Ping ?
More than a month without reply.

Comment 2 Chitlesh GOORAH 2006-12-30 12:28:30 UTC
Ping ?
More than 2 months without reply.

Comment 3 Chitlesh GOORAH 2007-08-06 00:03:15 UTC
any progress ?

Comment 4 Rex Dieter 2007-08-14 14:20:51 UTC
targeting F8, but I don't much/any progress at least until either beryl/compiz
fusion progress or kde4.

but, "BTW, desktop-effects isn't in kmenu !!!!!!!!" issue could at least be
addressed sooner, rather than later.

Comment 5 Matěj Cepl 2007-10-02 21:43:16 UTC
Well, better description would help (possibly).

Comment 6 Matěj Cepl 2007-10-04 22:40:44 UTC
And xorg-* is not proper component either (sorry, for overlooking this fact for
so long).

Comment 7 Bill Nottingham 2007-10-05 16:05:52 UTC
What exactly needs fixed? Just add desktop effects to the comps file under KDE?

Comment 8 Jesse Keating 2007-10-06 02:25:14 UTC
Shouldn't compiz-kde take care of this?  I don't know if this is still an issue.

Comment 9 Chitlesh GOORAH 2007-10-06 08:31:49 UTC
Actually on the gnome-menu you have a menu entry called "Desktop effects", 
which allows one to activate or deactivate compiz effects.
However on KDE there isn't such menu entry on kmenu.

To activate or deactivate compiz effects on kde, one must use the konsole.

My RFE is to add a menu entry of "desktop effects" on KDE's kmenu so that the 
user doesn't need to use the command line.

Comment 10 Chitlesh GOORAH 2007-10-06 08:34:58 UTC
when using compiz, the users logs out and logs in again, KDE loses the compiz 
effects. Thus the user needs to launch "desktop effects" again.

It should rather autostart when the user logs in KDE.

Comment 11 Jesse Keating 2007-10-06 14:45:59 UTC
The desktop-effects tool is GTK/Gnome centric and thus it won't work for storing
settings in KDE.  Do you have 'compiz-kde' installed?  The bug would be that
compiz-kde just doesn't come with a graphical chooser.  You don't want the gtk
desktop-effects tool, you want a KDE specific one which I could have sworn was
in compiz-kde.

Comment 12 Rahul Sundaram 2007-10-23 13:27:21 UTC
Reassigning to Compiz where the compiz-kde package should probably provide such
a option. 

Comment 13 Rex Dieter 2008-02-19 14:58:30 UTC
> My RFE is to add a menu entry of "desktop effects" on KDE's kmenu

Addressed awhile back:

* Thu Oct 25 2007 Sebastian Vahl <fedora@deadbabylon.de> - 0.6.2-3
- Include kde-desktop-effects in kde subpackage



Note You need to log in before you can comment on or make changes to this bug.